<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion = new sesion();
$sesion->set('permiso', permisos($_POST['privilegio']));

require_once("../includes/academia.locale.php");


if (!comprobar_sesion()) {
    mensaje($dtsLang[globals][ses_cad], $dtsLang[project][institucion]);
    exit;
}
if (isset($_GET["accion"]) && $_GET["accion"] == "new") {
    $accion = "new";
} else {
    $accion = "edit";
}
$cdEst = $_GET['ideest'];

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));
?>
<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Nueva isasistencia</title>
        <script type="text/javascript">

            $(document).ready(function (e) {
                $("input#txt_fec_obs").datetimepicker({
                    hourMin: 6,
                    hourMax: 23,
                    onSelect: function () {
                        $("input#txt_fec_obs").trigger("rvalida");
                    }
                });
                var ideest = '<?php echo $cdEst ?>'
                tipo = $("#accion").attr('acc');

                if (tipo != 'new') {
                    $("#oper").val("edit")
                    $grid = $("#list_infoEstInasistencia");
                    var id = $grid.getGridParam('selrow');
                    dt = $grid.getRowData(id);
                    $("#id").val(id);
                    $("#txt_fec_obs").val(dt['fecha']);
                    $("#txt_obs").val(dt['obs']);
                    $("#txt_accion_rep").val(dt['accion_rep']);

                    $("#txt_tipo_aspecto option[value=" + dt['id_tipo'] + "]").attr("selected", true);
                } else {
                    $("#oper").val("new");
                }
                var btf = parseInt($("#txt_tipo_falta_inasis option:selected").val());
                $gridEst = $("#list_infoEst")
                id = $gridEst.getGridParam('selrow');
                dt = $gridEst.getRowData(id);
                $("#nom_estud").html("<b>" + dt['nom_ape'] + "</b>");

                $("#accion").click(function () {
                    var cad = [];
                    if (tipo == 'new') {
                        msgexito = dtsLang.globals.newexito;
                    } else {
                        msgexito = dtsLang.globals.editexito;
                    }
                    var newDt = {
                        fecha: $("#txt_fec_obs").val(),
                        tipo: $("#txt_tipo_aspecto option:selected").text(),
                        tiponom: $("#txt_tipo_aspecto option:selected").val(),
                        obs: $("#txt_obs").val(),
                        'accion_rep': $("#txt_accion_rep").val(),
                        'id_tipo':$("#txt_tipo_aspecto").val()
                    }

                    var conf = {
                        url: 'mod_observatorio/opera_observatorio.php',
                        data: {
                            oper: tipo,
                            fec_obs: newDt.fecha,
                            txt_obs: newDt.obs,
                            accion_rep: newDt.accion_rep,
                            tipo_aspecto: newDt.tiponom,
                            cd_es_gr: $("#cod_est_gr").val(),
                            'id': $("#id").val()
                        },
                        modulo: 'inasistencias',
                        empresa: dtsLang.project.institucion,
                        msg_cmps_oblg: dtsLang.globals.cmpobl, //mensaje campos obligatorios
                        msgExito: msgexito,
                        msg_espere: dtsLang.globals.msg_espera,
                        id_grilla: 'list_infoEstInasistencia',
                        evento: tipo,
                        frm: "#new_edit_inasistencia",
                        data_grid: newDt,
                        adicional: function (rta) {
                            jQuery("#list_infoEst").trigger('reloadGrid').setSelection(ideest);
                            $("input.nhrs").remove().empty();
                        }
                    }
                    acciones(conf);

                })

                $("#txt_fec_obs").valida({
                    lcapita: false,
                    rulers: 1,
                    mincar: 0,
                    tipo: 'fh'
                });

            });
        </script>
    </head>

    <body>
        <div style="margin:8px">
            <div id="formInasistencias" class="k-shadow" style="height:auto !important; width:auto !important">
                <div class="k-header k-shadow" style="height:25px !important; text-align:center; line-height:25px" id="nom_estud"></div>
                <form action="" id="new_edit_inasistencia">
                    <table border="0">
                        <tr>
                            <td colspan="2"><hr></td>
                        </tr>

                        <tr>
                            <td class="tit1">Fecha<div><input name="txt_fec_obs"  type="text" id="txt_fec_obs" value="<?php echo date('Y-m-d') ?>"></div></td>
                            <td class="tit1">Tipo<div>
                                    <select class="campos" name="txt_tipo_aspecto" id="txt_tipo_aspecto">
                                        <option value="1">Aspectos Académicos</option>
                                        <option value="2" selected="selected">Aspectos de convivencia</option>
                                    </select></div>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"><div class="tit1">
                                    <?php echo $dtsLang[inasistencias][observa_ina] ?></div>
                                <textarea style="width:325px !important" class="campos"  name="txt_obs" cols="70" rows="5" id="txt_obs"></textarea>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"><div class="tit1">Accion Reparadora</div>
                                <textarea style="width:325px !important" class="campos"  name="txt_accion_rep" cols="70" rows="5" id="txt_accion_rep"></textarea>
                            </td>
                        </tr>
                        <tr>
                            <td align="center" colspan="2">
                                <input name="cod_est_gr" type="hidden" id="cod_est_gr" value="<?php echo $cdEst ?>" />
                                <input name="id" type="hidden" id="id" value="<?php echo $codigo ?>" />
                                <input type="hidden" name="oper" id="oper" value="<?php echo $accion ?>" />
                                <a class="k-button" acc="<?php echo $accion ?>" name="accion"  id="accion" ><span class="k-icon ui-btn-save"></span></a>
                            </td>
                        </tr>
                    </table>
                </form>
            </div>
        </div>
    </body>
</html>